/*
 * main.cpp
 *
 *  Created on: Aug 13, 2020
 *      Author: fredrick
 */

#include <ecos/core/Log.h>
#include <ecos/core/Core.h>

#include "JamSpookGame.h"

using ecos::core::logging::Log;
using ecos::core::logging::LogLevel;
using ecos::core::Core;
using JamSpook::JamSpookGame;

int main(int argc, char* argv[])
{
    Log::setLevel(LogLevel::debug);
    Log::write(LogLevel::info, "main - Application opened.");

    JamSpookGame* game = new JamSpookGame();
    Core* core = new Core(game);
    delete core;

    Log::write(LogLevel::info, "main - Application closed.");

    return 0;
}
